<app-home-toolbar></app-home-toolbar>

<ion-content class="ion-padding">
  <ion-grid>
    <ion-row class="ion-align-items-center">
      <ion-col size="12" size-md="6" class="ion-text-center">
        <ion-text color="dark">
          <h1 style="font-size: 40px">{{ 'Dwarpal.co.in' | translate }}</h1>
        </ion-text>
        <ion-text>
          <P>{{ 'Dwarpal.co.in offers you Society Management tool.' | translate }}</P>
          <p><a routerLink="/about">{{ 'More information about Dwarpal.co.in' | translate }}</a></p>
          <p><a routerLink="/support">{{ 'Dwarpal.co.in support forum' | translate }}</a></p>
          <p><a routerLink="/home">{{ 'Dwarpal.co.in home page' | translate }}</a></p>
        </ion-text>
        <ion-text>
          <P>{{ 'By signing up for and by signing in to this service you accept our:' | translate }}</P>
          <p><a routerLink="/tap_policy">{{ 'Privacy Policy' | translate }}</a></p>
          <p><a routerLink="/tap_policy">{{ 'Dwarpal.co.in Terms.' | translate }}</a></p>
        </ion-text>
      </ion-col>
      <ion-col size="12" size-md="6">
        <ion-card>
          <ion-card-header>
            <ion-card-title>{{ 'Register' | translate }}</ion-card-title>
          </ion-card-header>
          <ion-card-content>
            <form [formGroup]="form" (ngSubmit)="register()" (keyup.enter)="register()" method="post">
              <ion-segment (ionChange)="segmentChanged($event)" color="secondary">
                <ion-segment-button value="Resident" checked>
                  <ion-label>{{ 'Resident' | translate }}</ion-label>
                </ion-segment-button>
                <ion-segment-button value="Security">
                  <ion-label>{{ 'Security' | translate }}</ion-label>
                </ion-segment-button>
                <ion-segment-button value="Society">
                  <ion-label>{{ 'Society' | translate }}</ion-label>
                </ion-segment-button>
              </ion-segment>
              <ion-item>
                <ion-label position="floating">{{ 'Email' | translate }}</ion-label>
                <ion-input type="email" formControlName="email"></ion-input>
              </ion-item>
              <div style="color: red" *ngIf="form.get('email').hasError('required') && form.get('email').touched">{{ 'This
                field is required*' | translate }}</div>
              <div style="color: red" *ngIf="form.get('email').hasError('email') && form.get('email').touched">{{ 'Please
                enter valid email address' | translate }}
              </div>
              <ion-item>
                <ion-label position="floating">{{ 'Password' | translate }}</ion-label>
                <ion-input type="password" formControlName="password"></ion-input>
                <div style="color: red"
                  *ngIf="form.get('password').hasError('required') && form.get('password').touched">{{ 'This
                  field is required*' | translate }}</div>
                <div style="color: red"
                  *ngIf="form.get('password').hasError('pattern') && form.get('password').touched">{{ 'Password
                  should contain a minimum of 8 alphanumeric characters and at least one uppercase letter, lowercase
                  letter, and
                  one special character' | translate }}</div>
              </ion-item>
              <ion-item>
                <ion-label position="floating">{{ 'Retype Password' | translate }}</ion-label>
                <ion-input type="password" formControlName="retype_password"></ion-input>
                <div style="color: red"
                  *ngIf="form.get('retype_password').hasError('required') && form.get('retype_password').touched">{{ 'This
                  field is required*' | translate }}</div>
                <div style="color: red"
                  *ngIf="form.get('retype_password').hasError('mustMatch') && form.get('retype_password').touched">
                  {{ 'Password does not match.' | translate }}</div>
                <div style="color: red" *ngIf="!recaptchaVerified && formSubmitted">
                  {{ 'Please verify through recaptcha' | translate }}</div>
              </ion-item>
              <!--recaptcha-->
              <div align="center">
                <re-captcha (resolved)="resolved($event)" siteKey="6Lf4VswZAAAAAPFK8W9gVDkJL5aiwjdtFBow9Iym"
                  formControlName="recaptcha"></re-captcha>
              </div>
              <div *ngIf="!windowRef.confirmationResult">
                <ion-button type="submit" expand="full" color="danger" [disabled]="!form.valid" #registerBtn>
                  {{ 'Register' | translate }}
                </ion-button>

                <p class="ion-text-center">{{ 'Already have a account?' | translate }}</p>
                <ion-button expand="full" color="primary" (click)="loginPage()">{{ 'Login' | translate }}</ion-button>
              </div>

              <div style="margin: 10px;" *ngIf="windowRef.confirmationResult">
                <div style="margin-top: 10px;">
                  <div style="color: red">{{ 'Please Verify using link sent to your registered email id.' | translate }}
                  </div>
                  <ion-button expand="full" color="primary" (click)="loginPage()">{{ 'Go to Login Page.' | translate }}
                  </ion-button>
                </div>
                <div fxLayout="row">
                  <div align="right">
                    <label for="{{componentId}}_resendCode" style="color: purple" (click)="resendLoginCode()">{{ 'Resend
                      Verification Link' | translate }}</label>
                  </div>
                </div>
              </div>
            </form>
            <p class="ion-text-center">{{ 'Or' | translate }}</p>
            <ion-card-title>{{ 'Create an account with' | translate }}</ion-card-title>
            <ion-button color="danger" expand="full" (click)="googleRegister()">
              <ion-label>
                <ion-icon name="logo-google"></ion-icon>
                {{ 'Google' | translate }}
              </ion-label>
            </ion-button>
          </ion-card-content>
        </ion-card>
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>